# ApplicationFramework
TKPShape
PGeom

# PGeom_CartesianPoint Class Reference

`#include <PGeom_CartesianPoint.hxx>`

Inheritance diagram for PGeom_CartesianPoint:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_CartesianPoint ()
| Returns a CartesianPoint with default values.. .
Standard_EXPORT | PGeom_CartesianPoint (const gp_Pnt &aPnt)
| Returns a CartesianPoint built with <apnt>. .
Standard_EXPORT void | Pnt (const gp_Pnt &aPnt)
| Set the field pnt. .
Standard_EXPORT gp_Pnt | Pnt () const
| Returns the value of the field pnt. .
| PGeom_CartesianPoint (const Storage_stCONSTclCOM &a)
const gp_Pnt & | _CSFDB_GetPGeom_CartesianPointpnt () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_Pnt | pnt

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_CartesianPoint::PGeom_CartesianPoint | ( |  | ) |

Standard_EXPORT PGeom_CartesianPoint::PGeom_CartesianPoint | ( | const gp_Pnt & | aPnt | ) |

PGeom_CartesianPoint::PGeom_CartesianPoint | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Pnt& PGeom_CartesianPoint::_CSFDB_GetPGeom_CartesianPointpnt | ( |  | ) | const`[inline]`

Standard_EXPORT const PGeom_CartesianPoint::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Point.

Standard_EXPORT gp_Pnt PGeom_CartesianPoint::Pnt | ( |  | ) | const

Standard_EXPORT void PGeom_CartesianPoint::Pnt | ( | const gp_Pnt & | aPnt | ) |

## Field Documentation

gp_Pnt PGeom_CartesianPoint::pnt `[private]`

The documentation for this class was generated from the following file:

- PGeom_CartesianPoint.hxx